import _Object$assign from "@babel/runtime-corejs2/core-js/object/assign";
import _inheritsLoose from "../../../inheritsLoose";
import _defineProperty from "@babel/runtime-corejs2/helpers/defineProperty";
import { DShape } from './shape';
import mx from '../mxgraph';
var mxGeometry = mx.mxGeometry;
export var DCircle =
/*#__PURE__*/
function (_DShape) {
  _inheritsLoose(DCircle, _DShape);

  function DCircle() {
    return _DShape.apply(this, arguments) || this;
  }

  var _proto = DCircle.prototype;

  _proto.defaults = function defaults() {
    return _Object$assign({}, _DShape.prototype.defaults.call(this), {
      width: 80
    });
  };

  _proto._getGeometry = function _getGeometry() {
    var _this$get = this.get(),
        width = _this$get.width,
        left = _this$get.left,
        top = _this$get.top;

    return new mxGeometry(+left, +top, +width, +width);
  };

  _proto._getStylesheet = function _getStylesheet() {
    return 'ellipse;whiteSpace=wrap;html=1;aspect=fixed;';
  };

  return DCircle;
}(DShape);

_defineProperty(DCircle, "displayName", 'DCircle');